Bug 799119 - [abrt] kernel: WARNING: at lib/list_debug.c:26 __list_add+0x6d/0xa0()
[abrt] kernel: WARNING: at lib/list_debug.c:26 __list_add+0x6d/0xa0()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
abrt_hash:8165aeb071c5a8a3448f1f27dbe...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-01 14:55 EST by Mark Lawford
Modified: 2012-04-19 12:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-19 12:37:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Lawford 2012-03-01 14:55:02 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.3-2.fc16.x86_64 root=/dev/mapper/vg_groke3-lv_root ro rd.md=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rd.lvm.lv=vg_groke3/lv_root rhgb rd.luks=0 LANG=en_US.UTF-8 rd.lvm.lv=vg_groke3/lv_swap i915.i915_enable_rc6=1 i915.semaphores=1 pcie_aspm=force
event_log:      2012-03-01-14:45:40> Smolt profile successfully saved
kernel:         3.2.3-2.fc16.x86_64
reason:         WARNING: at lib/list_debug.c:26 __list_add+0x6d/0xa0()
time:           Mon 13 Feb 2012 10:39:29 AM EST

backtrace:
:WARNING: at lib/list_debug.c:26 __list_add+0x6d/0xa0()
:Hardware name: UX21E
:list_add corruption. next->prev should be prev (ffff88012fc1aaf8), but was           (null). (next=ffff88012fc1aaf8).
:Modules linked in: snd_usb_audio snd_usbmidi_lib snd_rawmidi vfat fat usb_storage rfcomm tcp_lp ppdev parport_pc lp parport fuse 8021q garp stp llc fcoe libfcoe libfc scsi_transport_fc scsi_tgt bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack snd_hda_codec_hdmi snd_hda_codec_realtek asix usbnet mii asus_nb_wmi asus_wmi sparse_keymap uvcvideo videodev media v4l2_compat_ioctl32 btusb bluetooth i2c_i801 microcode joydev serio_raw snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm arc4 ath9k mac80211 ath9k_common ath9k_hw iTCO_wdt ath snd_timer iTCO_vendor_support snd cfg80211 soundcore snd_page_alloc rfkill uinput wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 694, comm: applydeltarpm Tainted: G        W    3.2.3-2.fc16.x86_64 #1
:Call Trace:
: [<ffffffff8106dd4f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8106de46>] warn_slowpath_fmt+0x46/0x50
: [<ffffffff812c9bcd>] __list_add+0x6d/0xa0
: [<ffffffff8118e118>] __d_instantiate+0x58/0xe0
: [<ffffffff8118e357>] d_instantiate+0x47/0x80
: [<ffffffff8118ebed>] d_splice_alias+0x4d/0xf0
: [<ffffffff81201a06>] ext4_lookup+0xb6/0x120
: [<ffffffff81183a05>] d_alloc_and_lookup+0x45/0x90
: [<ffffffff81190335>] ? d_lookup+0x35/0x60
: [<ffffffff81185fd1>] do_lookup+0x2b1/0x3a0
: [<ffffffff81183f1b>] ? getname_flags+0x3b/0x260
: [<ffffffff81186d5c>] path_lookupat+0x11c/0x740
: [<ffffffff81183f1b>] ? getname_flags+0x3b/0x260
: [<ffffffff812c3e57>] ? __strncpy_from_user+0x27/0x60
: [<ffffffff811873b1>] do_path_lookup+0x31/0xc0
: [<ffffffff81188759>] user_path_at_empty+0x59/0xa0
: [<ffffffff8117d7c8>] ? cp_new_stat+0xf8/0x110
: [<ffffffff811887b1>] user_path_at+0x11/0x20
: [<ffffffff8117d9ea>] vfs_fstatat+0x3a/0x70
: [<ffffffff8117da5b>] vfs_stat+0x1b/0x20
: [<ffffffff8117db9a>] sys_newstat+0x1a/0x40
: [<ffffffff81183912>] ? path_put+0x22/0x30
: [<ffffffff810cdca2>] ? audit_syscall_entry+0x242/0x360
: [<ffffffff815e9782>] system_call_fastpath+0x16/0x1b

smolt_data:
:
:
:General
:=================================
:UUID: 5e2f0b41-96e5-4867-b3f5-3a93a5622177
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3192.45
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2467M CPU @ 1.60GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 1601
:System Memory: 3857
:System Swap: 5919
:Vendor: ASUSTeK Computer Inc.
:System: UX21E 1.0
:Form factor: Notebook
:Kernel: 3.2.7-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7245:4163:5143) pci, None, PCI/ISA, QS67 Express Chipset Family LPC Controller
:(32902:278:4163:5143) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4163:5143) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4163:5143) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4163:5143) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7200:4163:5143) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:4163:5143) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(7027:4105:4163:5159) pci, xhci_hcd, USB, N/A
:(5772:50:6715:8326) pci, ath9k, NETWORK, AR9485 Wireless Network Adapter
:(32902:7171:4163:5143) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4163:5143) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4163:5143) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4163:5143) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4163:5143) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_groke3-lv_root / ext4 4096 4096 13092026 7779067 7648045 3276800 2831653 2831653
:/dev/sda2 /boot ext4 1024 1024 508745 410601 385001 128016 127779 127779
:/dev/mapper/vg_groke3-lv_home /home ext4 4096 4096 14522168 8829646 8102197 3637248 3603997 3603997
:
Comment 1 Josh Boyer 2012-03-01 15:00:15 EST
Was this on return from hibernate?
Comment 2 Dave Jones 2012-03-08 16:44:31 EST
interesting, we just had another report with a similar trace in bug 801566, though that originated in sysfs.
Comment 3 Dave Jones 2012-03-22 12:55:56 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-22 12:59:36 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 Dave Jones 2012-03-22 13:10:58 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Note You need to log in before you can comment on or make changes to this bug.